/*
    使用プログラム
    JUCHU220Search.php 学校給食向け受注入力
*/

/****各テキストボックス項目定義****/
/* 単価 */
.JUCHU220-txt-tanka {
    width: 80px;
}

.JUCHU220-txt-tekiyo {
    width: 120px;
}


/****各ラベル項目定義****/
/* 得意先名称 */
.JUCHU220-lbl-tok_nm_hdr {
    width: 400px;
}

/* 商品名称 */
.JUCHU220-lbl-shohin_nm {
    width: 289px;
}


/* ヘッダーテーブル(検索条件) */
.JUCHU220-tbl-header th {
    width: 100px;
    max-width: 100px;
}
.JUCHU220-tbl-header tbody tr:nth-of-type(1) td:nth-of-type(1) {
    width: 480px;
    max-width: 480px;
}
.JUCHU220-tbl-header tbody tr:nth-of-type(1) td:nth-of-type(2) {
    width: 300px;
    max-width: 300px;
}
.JUCHU220-tbl-header tbody tr:nth-of-type(1) td:nth-of-type(3) {
    width: 100px;
    max-width: 100px;
}

/*ボタン定義*/
.JUCHU220-btn_area {
    width: 1099px;
}
.JUCHU220-div-float-area {
    float: left;
}
.JUCHU220-div-btn_area {
    margin-top: 35px;
    margin-left: 265px;
}


/*****************************
 *明細情報エリア定義
 ****************************/

.JUCHU220-tbl-body_L tbody .JUCHU220-tbl-detail-tr-odd:nth-child(n) {
    background-color: #f4f6f6;
}
.JUCHU220-tbl-body_R tbody .JUCHU220-tbl-detail-tr-odd:nth-child(n) {
    background-color: #f4f6f6;
}
.JUCHU220-tbl-body_L tbody .JUCHU220-tbl-detail-tr-even:nth-child(n) {
    background-color: #ffffff;
}
.JUCHU220-tbl-body_R tbody .JUCHU220-tbl-detail-tr-even:nth-child(n) {
    background-color: #ffffff;
}

/* ▽ ========== HEAD ========== ▽ */
.JUCHU220-flex-tbl-head-area {
    width: 100%;
    min-width: 1400px;
    display: -ms-flexbox;
    display: flex;
    display: -webkit-box;
    display: -webkit-flex;
    -webkit-box-align: end;
    -ms-flex-align: end;
    align-items: flex-end;
}
.JUCHU220-flex-tbl-head-area table {
    margin: 0px;
}
.JUCHU220-flex-tbl-head-L {
    overflow: hidden;
}
.JUCHU220-flex-tbl-head-R {
    /* width: 968px; */
    width: 626px;
    overflow: hidden;
    overflow-y: auto;
    overflow-x: hidden;
}
.JUCHU220-tbl-head_L {
    margin: 0;
}
.JUCHU220-tbl-head_R {
    /* width: 2141px; */
    width: 6505px;
    margin: 0;
}
.JUCHU220-tbl-head_L thead tr th {
    height: 25px;
}
.JUCHU220-tbl-head_R thead tr th {
    height: 55px;
}
.JUCHU220-tbl-head_R thead tr th:first-child {
    border-left: none;
}

/* ▽ ========== BODY ========== ▽ */
.JUCHU220-tbl-body-area {
    width: 100%;
    min-width: 1400px;
    display: -ms-flexbox;
    display: flex;
    display: -webkit-box;
    display: -webkit-flex;
}
.JUCHU220-flex-tbl-body-L {
    max-height: 432px;
    margin-top: 0px;
    overflow: hidden;
}
.JUCHU220-flex-tbl-body-R {
    /* max-width : 986px; */
    max-width : 644px;
    max-height: 450px;
    margin-top: 0px;
    overflow  : scroll;
}
.JUCHU220-tbl-body_L {
    margin-top: -1px;
}
.JUCHU220-tbl-body_R {
    /* width: 2141px; */
    width: 6505px;
    margin-top: -1px;
}
.JUCHU220-tbl-body_L tbody tr.odd {
    background: #f4f6f6;
}
.JUCHU220-tbl-body_L tbody tr.even {
    background: #ffffff;
}
.JUCHU220-tbl-body_L tr td {
    padding-top: 0;
    padding-bottom: 0;
}
.JUCHU220-tbl-body_R tbody tr.odd {
    background: #f4f6f6;
}
.JUCHU220-tbl-body_R tbody tr.even {
    background: #ffffff;
}
.JUCHU220-tbl-body_R tr td {
    padding-top: 0;
    padding-bottom: 0;
}
.JUCHU220-tbl-body_R tbody tr td:first-child {
    border-left: none;
}

/* ▽ ========== FOOT ========== ▽ */
.JUCHU220-flex-tbl-foot-L {
    float: left;
    overflow: hidden;
    margin-top: 0px;
}
.JUCHU220-flex-tbl-foot-R {
    /*width: 968px;*/
    width: 626px;
    overflow-y: hidden;
    overflow-x: auto;
    margin-top: 0px;
    margin-left: 528px;
}
.JUCHU220-tbl-foot_R {
    width: 2141px;
    margin-top: 0;
}

.JUCHU220-txt-suryo{ /* 数量 */
    /*width: 50px;*/
    /*min-width: 50px;*/
    /* max-width: 50px; */
    max-width: 70px;
}


/* ▽ ========== 明細項目 ========== ▽ */

/* com-itemの右寄せが効く様に最大幅まで伸ばす */
.lbl-number {
    width: 100%;
}


.JUCHU220-tbl-th_nou{
  /*納入先のタイトル　テーブルカラー*/
  background-color: #088A85 !important;
  /*color: #ffffff !important;*/
  /*text-align: center !important;*/
}

.JUCHU220-lbl-title {
  /* thを指定すると高さが違いによりテーブルにズレが発生するため個別指定 */
  /* background-color: #0068b7; */
  background-color: #088A85;
  color: #ffffff;
  text-align: center;
}

.JUCHU220-tbl-result_col1 {  /* 削除 */
    width: 44px;
}
.JUCHU220-tbl-result_col2 {  /* № */
    width: 44px;
}
.JUCHU220-tbl-result_col3 {  /* 出荷日 */
    width: 160px;
}
.JUCHU220-tbl-result_col4 {  /* 商品コード */
    width: 155px;
}
.JUCHU220-tbl-result_col5 {  /* 規格 */
    width: 165px;
}
.JUCHU220-tbl-result_col6 {  /* 単位 */
    width: 150px;
}
.JUCHU220-tbl-result_col7 {  /* 原価 */
    width: 111px;
}
.JUCHU220-tbl-result_col8 {  /* 合計数量 */
    width: 112px;
}

.JUCHU220-chk-del_flg { /* 削除 */
    width: 25px;
}
.JUCHU220-lbl-no-left { /* № */
    width: 25px;
    text-align: right;
}
.JUCHU220-lbl-kikaku_nm { /* 規格 */
    width: 120px;
}
.JUCHU220-lbl-tani_nm { /* 単位 */
    width: 120px;
}
.JUCHU220-lbl-genka { /* 原価 */
    width: 80px;
}
.JUCHU220-lbl-sum_suryo { /* 合計数量 */
    width: 80px;
}
.JUCHU220-lbl-sum_yobi {  /* 合計予備 */
    width: 80px;
}

.JUCHU220-tbl-result_col_nou {
    /* width: 65px; */
    width: 95px;
}
.JUCHU220-tbl-td_yellow {
    background-color: #ffffd6;
}
.JUCHU220-tbl-td_blue {
    background-color: #d6ffff;
}
.JUCHU220-tbl-td_red {
    background-color: #ffd6ff;
}
